hpp-corbaserver: hpp::core_impl::pathValidation_impl::DiscretizedServant< _Base, _Storage > Class Template Reference

hpp-corbaserver 9.0.2 Corba server for Humanoid Path Planner applications

Public Types | Public Member Functions | List of all members
hpp::core_impl::pathValidation_impl::DiscretizedServant< _Base, _Storage > Class Template Reference

`#include <hpp/core_idl/path_validations-fwd.hh>`

Inheritance diagram for hpp::core_impl::pathValidation_impl::DiscretizedServant< _Base, _Storage >:
[legend]
Collaboration diagram for hpp::core_impl::pathValidation_impl::DiscretizedServant< _Base, _Storage >:
[legend]

## Public Types
typedef hpp::core_impl::PathValidationServant< _Base, _Storage >::HppBase | HppBase
Public Types inherited from hpp::core_impl::PathValidationServant< _Base, _Storage >
typedef hpp::core::PathValidation | HppBase
Public Types inherited from hpp::corbaServer::ServantBase< hpp::core::PathValidation, _Storage >
typedef _Storage | Storage
typedef weak_ptr< typename Storage::element_type > | StorageElementWkPtr_t
typedef shared_ptr< typename Storage::element_type > | StorageElementShPtr_t
Public Types inherited from hpp::corbaServer::AbstractServantBase< T >
typedef shared_ptr< T > | TShPtr_t
typedef weak_ptr< T > | TWkPtr_t

## Public Member Functions
| SERVANT_BASE_TYPEDEFS (hpp::core_idl::pathValidation_idl::Discretized, HppBase)
| DiscretizedServant (::hpp::corbaServer::Server *server, const _Storage &s)
virtual | ~DiscretizedServant ()
void | setSecurityMargins (const hpp::floatSeqSeq &margins)
void | setSecurityMarginBetweenBodies (const char *body_a, const char *body_b, hpp::value_type margin)
void | filterCollisionPairs (const hpp::core_idl::RelativeMotionMatrix &relMotion)
Public Member Functions inherited from hpp::core_impl::PathValidationServant< _Base, _Storage >
| SERVANT_BASE_TYPEDEFS (hpp::core_idl::PathValidation, HppBase)
| PathValidationServant (::hpp::corbaServer::Server *server, const _Storage &s)
virtual | ~PathValidationServant ()
void | deleteThis ()
::CORBA::Boolean | deleteIfExpired ()
void | persistantStorage (::CORBA::Boolean persistant)
::CORBA::Boolean | validate (hpp::core_idl::Path_ptr p, ::CORBA::Boolean reverse, hpp::core_idl::Path_out validPart, hpp::core_idl::PathValidationReport_out report)
::CORBA::Boolean | validateConfiguration (const hpp::floatSeq &config, hpp::core_idl::ValidationReport_out report)
Public Member Functions inherited from hpp::corbaServer::ServantBase< hpp::core::PathValidation, _Storage >
virtual | ~ServantBase ()
virtual TShPtr_t | get () const
bool | expired () const final
StorageElementShPtr_t | getT () const
const Storage & | getS () const
void | persistantStorage (bool persistant)
| Set to true if the servant should take ownership of this object. More...
bool | persistantStorage () const
| See persistantStorage(bool) More...
void | deleteThis ()
bool | deleteIfExpired ()
Public Member Functions inherited from hpp::corbaServer::AbstractServantBase< T >
virtual | ~AbstractServantBase ()
virtual Server::ServantKey | getServantKey () const

## Additional Inherited Members
Protected Member Functions inherited from hpp::corbaServer::ServantBase< hpp::core::PathValidation, _Storage >
| ServantBase (Server *server, const Storage &_s)
Protected Member Functions inherited from hpp::corbaServer::AbstractServantBase< T >
| AbstractServantBase (Server *server)
Protected Attributes inherited from hpp::corbaServer::ServantBase< hpp::core::PathValidation, _Storage >
Storage | wrappedObject_
Protected Attributes inherited from hpp::corbaServer::AbstractServantBase< T >
Server * | server_

## Member Typedef Documentation

## ◆ HppBase

template<typename _Base , typename _Storage >

typedef hpp::core_impl::PathValidationServant<_Base, _Storage>::HppBase hpp::core_impl::pathValidation_impl::DiscretizedServant< _Base, _Storage >::HppBase

## Constructor & Destructor Documentation

## ◆ DiscretizedServant()

template<typename _Base , typename _Storage >

hpp::core_impl::pathValidation_impl::DiscretizedServant< _Base, _Storage >::DiscretizedServant | ( | ::hpp::corbaServer::Server * | server,
|  | const _Storage & | s
| ) |  |

## ◆ ~DiscretizedServant()

template<typename _Base , typename _Storage >

hpp::core_impl::pathValidation_impl::DiscretizedServant< _Base, _Storage >::~DiscretizedServant
| virtual

## Member Function Documentation

## ◆ filterCollisionPairs()

template<typename _Base , typename _Storage >

void hpp::core_impl::pathValidation_impl::DiscretizedServant< _Base, _Storage >::filterCollisionPairs | ( | const hpp::core_idl::RelativeMotionMatrix & | relMotion | ) |

## ◆ SERVANT_BASE_TYPEDEFS()

template<typename _Base , typename _Storage >

hpp::core_impl::pathValidation_impl::DiscretizedServant< _Base, _Storage >::SERVANT_BASE_TYPEDEFS | ( | hpp::core_idl::pathValidation_idl::Discretized | ,
|  | HppBase |
| ) |  |

## ◆ setSecurityMarginBetweenBodies()

template<typename _Base , typename _Storage >

void hpp::core_impl::pathValidation_impl::DiscretizedServant< _Base, _Storage >::setSecurityMarginBetweenBodies | ( | const char * | body_a,
|  | const char * | body_b,
|  | hpp::value_type | margin
| ) |  |

## ◆ setSecurityMargins()

template<typename _Base , typename _Storage >

void hpp::core_impl::pathValidation_impl::DiscretizedServant< _Base, _Storage >::setSecurityMargins | ( | const hpp::floatSeqSeq & | margins | ) |

The documentation for this class was generated from the following files:

- src/hpp/core_idl/path_validations-fwd.hh
- src/hpp/core_idl/path_validations.hh